<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width; initial-scale=0.7">
    <meta name="Description" content="Сайт представительства студентов-фпмишников, обучающихся на
    факультете прикладной математики и информатици БГУ (ФПМИ БГУ). FPMI-шник, фпми, PI-шник, пишки
    фпмишник, фпмщик "/>
    <title>PI-SHKI - полезная информация и материалы</title>
    <!-- LINK BLOCK -->
    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/style-navbar.css" rel="stylesheet">
    <link href="../css/common.css" rel="stylesheet">
    <link href="../favicon.png" rel="icon">
    <link rel="stylesheet" href="../css/normalize.min.css">
    <!-- STYLE BLOCK -->
    <style>
        .card {
            background-color: rgba(255, 255, 255, 0.8);
            opacity: 1;
            text-align: justify;

        }

        .card-img-top {
            width: auto;
            height: 8rem;
            align-self: center;
            vertical-align: center;
            margin: 20px;
            text-align: center;
        }

        .card-img-top img {
            max-width: 18rem;
            max-height: 8rem;
            margin: 0 auto;
        }

        .tab-description {
            font-weight: normal;
            font-size: 10pt;
        }

        .tab-icon {
            height: 0.75em;
            margin-right: 5px;
        }

        .badge-icon {
            height: 1em;
            margin-right: 5px;
            filter: invert();
        }

        .first-card {
            max-width: 150px;
        }

        .first-card .card-body {
            padding: 10px;
            text-align: center;
        }
        @media(max-width: 500px){
            .tab-label{
                font-size: 1.3em !important;
            }
        }

    </style>
    <!-- NAVBAR BLOCK -->
    <div class="nav">
        <div class="nav-container-top">
            <!-- Index link -->
            <div class="bars">
                <a href="#" data-toggle="modal" data-target="#headerlink">
                    <img class="nav-elements" src="../img/2.svg" alt="На главную"/>
                </a>
            </div>
            <!-- notification -->
            <!-- helpful link -->
            <div class="bars">
                <a href="../pages/helpful.html">
                    <img src="../img/helpful.svg" title="Полезная информация и материалы" class="nav-elements"
                         alt="Полезное">
                </a>
            </div>
            <!-- light/night mode -->
            <div class="bars">
                <input type="checkbox" class="checkbox" id="theme-switcher-checkbox"/>
                <label for="theme-switcher-checkbox" title="Light/Night mode"></label>
            </div>
        </div>
        <!-- empty -->
        <a href="#" class="nav-elements-empty">
            <div class="bars"></div>
        </a>
        <!-- Bottom link block -->
        <div class="nav-container-bottom">
            <!--GIT link -->
            <div class="bars">
                <a href="https://gitlab.com/gera-univ/site/pi14-schedule">
                    <img src="../img/git.svg" title="Присоединяйся к разработке проекта!" class="nav-elements-bottom"
                         alt="Git">
                </a>
            </div>
        </div>
        <!-- trigger -->
        <a href="#" class="nav__trigger">
            <div class="bars"></div>
        </a>
        <!-- Menu content -->
        <div class="nav__content">
            <nav class="nav__list">
                <ul>
                    <li class="nav__item"><a href="../index.html">Главная</a></li>
                    <li class="nav__item"><a href="../pi13year2.html">13 гр. 2 курс</a></li>
                    <li class="nav__item"><a href="../pi14year2.html">14 гр. 2 курс</a></li>
                    <li class="nav__item"><a href="../pi13year3.html">13 гр. 3 курс</a></li>
                </ul>
            </nav>
        </div>
    </div>
    <!-- CLOSE NAVBAR BLOCK-->
</head>
<body id="helpful">
<!-- Контент -->
<div class="card-deck">
    <div class="jumbotron p-4">
        <h1 class="display-4">ИНФОРМАЦИЯ И МАТЕРИАЛЫ</h1>
        <p class="lead">Полезная информация, полезнные ссылки на ресурсы и программное обеспечение, которое поможет тебе
            в работе.</p>
    </div>
</div>
<div class="card-deck">
    <div data-tabs class="tabs p-3 mb-2 bg-light text-dark">
        <!--LINKS TAB -->
        <div class="tab">
            <input type="radio" name="tabgroup" id="tab-links">
            <label class="tab-label" for="tab-links"><img src="../img/link.svg" class="tab-icon">ССЫЛКИ</label>
            <div class="tab__content">
                <p class="badge badge-light tab-description"> Сайты, которые могут оказаться полезными... </p>
                <div class="card-deck">
                    <div class="card" style="max-width: 44rem;">
                        <ul class="list-group">
                            <li class="list-group-item list-group-item">
                                <h5 class="mb-1">Полезные ссылки: </h5>
                                <hr>
                                <a href="https://student.bsu.by/PersonalCabinet">Личный кабинет студента</a><br>
                                <a href="https://anytask.org/">Anytask</a><br>
                                <a href="https://t.me/pi1110">Телеграм</a><br>
                                <hr>
                                <a href="https://abalompe.gitlab.io/edu/">Блог о ФПМИ (Паша Любецкий)</a>
                                <hr>
                                <a href="https://www.jetbrains.com/shop/eform/students">Лицензия на IDE от JetBrains для
                                    студентов</a>
                                (при заполнении нужно указывать адрес@bsu.by)
                                <hr>
                                <a href="https://summerofcode.withgoogle.com/">Google Summer of Code</a> - подработка на
                                каникулы
                                <hr>
                                <a href="https://paste.opensuse.org/a8a1c924">Шаблон документа ДЗ от Шепелевой</a>
                                <hr>
                                <small>Реклама: установите блокировщик рекламы. Например <a
                                        href="https://github.com/gorhill/uBlock/releases/latest">этот</a>.
                                </small>
                            </li>
                        </ul>
                    </div>
                    <div class="card" style="max-width: 44rem; margin-left: 1.5%">
                        <ul class="list-group">
                            <li class="list-group-item list-group-item">
                                <h5 class="mb-1">Pastebin-сайты - отправить код</h5>
                                <hr>
                                без регистрации, без рекламы, долговременные<br>
                                <a href="http://paste.opensuse.org/">SUSE Paste</a><br>
                                <a href="http://paste.ubuntu.com/">Ubuntu Paste</a><br>
                                <a href="http://ix.io">ix.io</a> (из консоли)<br>
                                <hr>
                                с регистрацией (+удаление/обновление)<br>
                                <a href="https://gist.github.com/">Github gist</a> (реком.)<br>
                                <a href="https://bitbucket.org">Bitbucket</a><br>
                                <a href="https://gitlab.com">Gitlab</a><br>
                                <hr>
                                Web-IDE (можно запускать)<br>
                                <a href="https://repl.it">Repl</a><br>
                                <a href="https://ideone.com/">Ideone</a>
                                <hr>
                                Загрузить большой файл<br>
                                <a href="https://anonfile.com/">Anonfile</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- BOOKS TAB -->
        <div class="tab">
            <input type="radio" name="tabgroup" id="tab-books">
            <label class="tab-label" for="tab-books"><img src="../img/book.svg" class="tab-icon">Книжки</label>
            <div class="tab__content">
                <p class="badge badge-light tab-description"> в разработке </p>
            </div>
        </div>
        <!--SOFTWARE TAB -->
        <div class="tab">
            <input type="radio" name="tabgroup" id="tab-software">
            <label class="tab-label" for="tab-software"><img src="../img/window.svg" class="tab-icon">Программы</label>
            <div class="tab__content">
                <p class="badge badge-light tab-description"> Малоизвестное ПО, которое может сделать вашу жизнь лучше... </p>
                <div class="card-deck">
                    <div class="card first-card">
                        <div class="card-body alert alert-info">
                            <h3>Программы</h3>
                        </div>
                    </div>

                    <div class="w-100 d-none d-sm-block d-md-none"><!-- wrap every card on sm--></div>

                    <!-- LINQPad -->
                    <div class="card">
                        <img class="card-img-top" src="https://www.linqpad.net/images/LINQPad.png" alt="LINQPad">
                        <div class="card-body">
                            <h5 class="card-title"><b>LINQPad</b> - блокнот для C# и не только</h5>
                            <p class="card-text">Программа от автора хорошей книжки <tt>C# in Nutshell</tt>. Позволяет
                                быстро
                                писать короткие программы на шарпе, делать интересные визуализации. Помогает составлять
                                LINQ и SQL запросы в базу данных.</p>
                        </div>
                        <!-- Platform and license -->
                        <div class="text-center card-text-bottom" style="padding-bottom: 20px">
							<span class="badge badge-info">
								<img src="../img/x-diamond-fill.svg" class="badge-icon">Windows
							</span>
                            <span class="badge badge-danger">
								Proprietary
							</span>
                        </div>
                        <div class="card-footer">
                            <form action="https://www.linqpad.net" target="page">
                                <button class="btn btn-success"
                                        style="box-shadow: 0 0 0; font-family: 'Oswald', sans-serif; width: 100%">
                                    Подробнее
                                </button>
                            </form>
                        </div>
                    </div>

                    <div class="w-100 d-none d-sm-block d-md-none"><!-- wrap every card on sm--></div>

                    <!-- Olive -->
                    <div class="card">
                        <img class="card-img-top" src="https://www.olivevideoeditor.org/img/olive.png" alt="LINQPad">
                        <div class="card-body">
                            <h5 class="card-title"><b>Olive Video Editor</b> - свободный видеоредактор</h5>
                                <p class="card-text">Olive - это бесплатный нелинейный видеоредактор с открытым
                                    исходным кодом, цель которого - предоставить полнофункциональную альтернативу
                                    профессиональному программному обеспечению для редактирования видео.</p>
                        </div>
                        <!-- Platform and license -->
                        <div class="text-center card-text-bottom" style="padding-bottom: 20px">
							<span class="badge badge-info">
								<img src="../img/x-diamond-fill.svg" class="badge-icon">Windows
							</span>
                            <span class="badge badge-warning">
								<img src="../img/linux.svg" class="badge-icon">Linux
							</span>
                            <span class="badge badge-success">
								GPL v3
							</span>
                        </div>
                        <div class="card-footer">
                            <form action="https://www.linqpad.net" target="page">
                                <button class="btn btn-success"
                                        style="box-shadow: 0 0 0; font-family: 'Oswald', sans-serif; width: 100%">
                                    Подробнее
                                </button>
                            </form>
                        </div>
                    </div>

                    <div class="w-100 d-none d-sm-block d-md-none"><!-- wrap every card on sm--></div>
                    <div class="w-100 d-none d-lg-block d-md-block d-xl-none"><!-- wrap every 2 on lg and md--></div>

                    <!-- NewPipe -->
                    <div class="card">
                        <img class="card-img-top" src="https://newpipe.schabi.org/img/logo.svg" alt="NewPipe">
                        <div class="card-body">
                            <h5 class="card-title"><b>NewPipe</b> - youtube без мусора</h5>
                            <p class="card-text">Свободный клиент для youtube под <b>android</b>. Не показывает рекламу.
                                Позволяет скачивать
                                видео и аудио, смотреть во внешнем плеере. Позволяет слушать видео в фоне как подкасты,
                                что тратит
                                меньше трафика. Требует регулярного обновления т.к. youtube часто меняет структуру своих
                                веб страниц.</p>
                        </div>

                        <!-- Platform and license -->
                        <div class="text-center card-text-bottom" style="padding-bottom: 20px">
							<span class="badge badge-secondary">
								<img src="../img/android.svg" class="badge-icon">Android
							</span>
                            <span class="badge badge-success">
								GPL v3
							</span>
                        </div>
                        <div class="card-footer">
                            <form action="https://github.com/TeamNewPipe/NewPipe/releases/latest" target="page">
                                <button class="btn btn-success"
                                        style="box-shadow: 0 0 0; font-family: 'Oswald', sans-serif; width: 100%">
                                    Подробнее
                                </button>
                            </form>
                        </div>
                    </div>

                </div>
                <div class="card-deck">

                    <!-- Chocolatey -->
                    <div class="card">
                        <img class="card-img-top" src="https://chocolatey.org/content/images/logo_square.svg"
                             alt="Chocolatey">
                        <div class="card-body">
                            <h5 class="card-title"><b>Chocolatey</b> - установка программ из командной строки</h5>
                            <p class="card-text">Универсальный пакетный менеджер под windows на основе NuGet. Позволяет
                                автоматически
                                устанавливать, удалять, обновлять ПО.
                                Chocolatey использует скрипты из своего репозитория пакетов, которые скачивают и
                                запускают установщики с официального сайта ПО. Эти скрипты мейнтейнятся сообществом.</p>
                        </div>

                        <!-- Platform and license -->
                        <div class="text-center card-text-bottom" style="padding-bottom: 20px">
							<span class="badge badge-info">
								<img src="../img/x-diamond-fill.svg" class="badge-icon">
								<img src="../img/terminal-fill.svg" class="badge-icon">
								Windows
							</span>
                            <span class="badge badge-success">
								Apache v2
							</span>
                        </div>
                        <div class="card-footer">
                            <form action="https://chocolatey.org/" target="page">
                                <button class="btn btn-success"
                                        style="box-shadow: 0 0 0; font-family: 'Oswald', sans-serif; width: 100%">
                                    Подробнее
                                </button>
                            </form>
                        </div>
                    </div>

                    <div class="w-100 d-none d-sm-block d-md-none"><!-- wrap every card on sm--></div>
                    <div class="w-100 d-none d-lg-block d-md-block d-xl-none"><!-- wrap every 2 on lg and md--></div>

                    <!-- Unchecky -->
                    <div class="card">
                        <img class="card-img-top" src="../img/unchecky.svg" alt="Unchecky">
                        <div class="card-body">
                            <h5 class="card-title"><b>Unchecky</b> - Панацея от скрытых галочек в установщиках</h5>
                            <p class="card-text">Небольшая бесплатная утилита, которая предназначена
                                для предотвращения установки нежелательного ПО(например различные тулбары,
                                рекламные и шпионские программы) на компьютер пользователя,
                                содержащегося в инсталляторах устанавливаемых приложений.</p>
                        </div>

                        <!-- Platform and license -->
                        <div class="text-center card-text-bottom" style="padding-bottom: 20px">
							<span class="badge badge-info">
								<img src="../img/x-diamond-fill.svg" class="badge-icon">Windows
							</span>
                            <span class="badge badge-danger">
								Proprietary
							</span>
                        </div>
                        <div class="card-footer">
                            <form action="https://unchecky.com/" target="page">
                                <button class="btn btn-success"
                                        style="box-shadow: 0 0 0; font-family: 'Oswald', sans-serif; width: 100%">
                                    Подробнее
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- SITE TAB -->
        <div class="tab">
            <input type="radio" name="tabgroup" id="tab-site">
            <label class="tab-label" for="tab-site"><img src="../img/window.svg" class="tab-icon">Web-приложения</label>
            <div class="tab__content">
                <p class="badge badge-light tab-description"> Приложения, которые могут оказаться полезными... </p>
                <div class="card-deck">
                    <div class="card first-card">
                        <div class="card-body alert alert-success">
                            <h1>Сайты</h1>
                        </div>
                    </div>

                    <div class="w-100 d-none d-sm-block d-md-none"><!-- wrap every card on sm--></div>

                    <!-- Klavarog -->
                    <div class="card">
                        <div class="card-img-top">
                            <img src="https://klava.org/delta/logo.png" alt="Klavarog">
                        </div>

                        <div class="card-body">
                            <h5 class="card-title"><b>Klavarog</b> - Учимся правильно печатать!</h5>
                            <p class="card-text">Простой эффективный и бесплатный клавиатурный
                                тренажёр. Словари можно подготавливать самостоятельно, и делиться ими с другими.
                                После выбора словаря не требует интернет соединения, можно обучаться и офлайн. В отличие
                                от
                                других тренажёров, первоначальное обучение идёт по словам, а не отдельным буквам.</p>
                        </div>

                        <!-- Platform and license -->
                        <div class="text-center card-text-bottom" style="padding-bottom: 20px">
                        <span class="badge badge-dark">
                            <img src="../img/link.svg" class="badge-icon">Website
                        </span>
                        </div>
                        <div class="card-footer">
                            <form action="https://klava.org/delta/#eng_code_cpp" target="page">
                                <button class="btn btn-success" style="box-shadow: 0 0 0; font-family: 'Oswald', sans-serif; width: 100%">Подробнее</button>
                            </form>
                        </div>
                    </div>

                    <div class="w-100 d-none d-sm-block d-md-none"><!-- wrap every card on sm--></div>

                    <!-- Klavogonki -->
                    <div class="card">
                        <div class="card-img-top align-center">
                            <img src="http://klavogonki.ru/img/logo-5.gif" alt="Клавогонки">
                        </div>

                        <div class="card-body">
                            <h5 class="card-title"><b>Клав<u>о</u>гонки</b></h5>
                            <p class="card-text">Место, где ты можешь повысить навык быстрой/слепой печати, а также
                                посоревноваться в этом начинании со своими друзьями. Отличная возможность импрувнуть
                                свою скорость, что очень важно как для игр, так и для работы.</p>
                        </div>

                        <!-- Platform and license -->
                        <div class="text-center card-text-bottom" style="padding-bottom: 20px">
                        <span class="badge badge-dark">
                            <img src="../img/link.svg" class="badge-icon">Website
                        </span>
                        </div>

                        <div class="card-footer">
                            <form action="http://klavogonki.ru/" target="page">
                                <button class="btn btn-success" style="box-shadow: 0 0 0; font-family: 'Oswald', sans-serif; width: 100%">Подробнее</button>
                            </form>
                        </div>
                    </div>

                    <div class="w-100 d-none d-sm-block d-md-none"><!-- wrap every card on sm--></div>
                    <div class="w-100 d-none d-lg-block d-md-block d-xl-none"><!-- wrap every 2 on lg and md--></div>

                    <!-- Jitsi Meet -->
                    <div class="card">
                        <div class="card-img-top">
                            <img src="https://upload.wikimedia.org/wikipedia/commons/5/5d/Logo_Jitsi.svg"
                                 alt="Jitsi Meet">
                        </div>

                        <div class="card-body">
                            <h5 class="card-title">Jitsi Meet</h5>
                            <p class="card-text">Простая и полностью бесплатная платформа для видеоконференций. Есть
                                возможность демонстрировать экран. Для подключения с телефона необходимо мобильное
                                приложение.</p>
                        </div>

                        <!-- Platform and license -->
                        <div class="text-center card-text-bottom" style="padding-bottom: 20px">
                        <span class="badge badge-dark">
                            <img src="../img/link.svg" class="badge-icon">Website
                        </span>
                        </div>

                        <div class="card-footer">
                            <form action="http://jitsi.in/" target="page">
                                <button class="btn btn-success" style="box-shadow: 0 0 0; font-family: 'Oswald', sans-serif; width: 100%">Подробнее</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- MODAL WINDOW FOR RIGHTNAVBAR LINK-->
<div class="modal fade" id="headerlink" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
     aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <a href="https://fpmi.spiralarms.org/">             
                <li class="list-group-item">
                    <img src="../img/global.svg" alt="Сайт"/>
                    САЙТ
                </li>
            </a>
            <a href="https://forum.fpmi.spiralarms.org/">
                <li class="list-group-item">
                    <img src="../img/forum.svg" alt="Форум"/>
                    ФОРУМ
                </li>
            </a>
        </div>
    </div>
</div>

<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="../js/jquery-3.4.1.js"></script>
<script src="../js/jquery.csv.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh"
        src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ"
        src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js"></script>
<script src='https://cdnjs.cloudflare.com/ajax/libs/classlist/2014.01.31/classList.min.js'></script>

<!-- Optional JavaScript -->
<script src="../js/pages-menu.js"></script>
<script src="../js/tabs.js"></script>

<!-- Theme switcher -->
<script type="module" src="../js/theme_switcher.js"></script>
</body>
</html>
